libetonyek::PAG5Parser Class Reference

`#include <PAG5Parser.h>`

Inheritance diagram for libetonyek::PAG5Parser:

## Public Member Functions
| PAG5Parser (const RVNGInputStreamPtr_t &fragments, const RVNGInputStreamPtr_t &package, PAGCollector &collector)
Public Member Functions inherited from libetonyek::IWAParser
| IWAParser (const RVNGInputStreamPtr_t &fragments, const RVNGInputStreamPtr_t &package, IWORKCollector &collector)
virtual | ~IWAParser ()
bool | parse ()

## Private Member Functions
bool | parseDocument () override
bool | dispatchShape (unsigned id)
bool | parseGroupRef (unsigned id)
bool | parseDocumentSettingsRef (unsigned id)

## Private Attributes
PAGCollector & | m_collector

## Additional Inherited Members
Protected Types inherited from libetonyek::IWAParser
typedef std::map< unsigned, IWORKStylePtr_t > | StyleMap_t
typedef std::function< void(unsigned, IWORKStylePtr_t &)> | StyleParseFun_t
Protected Member Functions inherited from libetonyek::IWAParser
bool | readFill (const IWAMessage &msg, IWORKFill &fill)
bool | dispatchShape (unsigned id)
bool | dispatchShapeWithMessage (const IWAMessage &msg, unsigned type)
bool | parseText (unsigned id, bool createNoteAsFootnote=true, const std::function< void(unsigned, IWORKStylePtr_t)> &openPageSpan=nullptr)
void | parseComment (unsigned id)
void | parseAuthorInComment (unsigned id)
void | parseCustomFormat (unsigned id)
virtual bool | parseShapePlacement (const IWAMessage &msg, IWORKGeometryPtr_t &geometry, boost::optional< unsigned > &flags)
void | parseMask (unsigned id, IWORKGeometryPtr_t &geometry, IWORKPathPtr_t &path)
void | updateGeometryUsingTextRef (unsigned id, IWORKGeometry &geometry, unsigned flags)
const IWORKStylePtr_t | queryCharacterStyle (unsigned id) const
const IWORKStylePtr_t | queryDropCapStyle (unsigned id) const
const IWORKStylePtr_t | queryParagraphStyle (unsigned id) const
const IWORKStylePtr_t | querySectionStyle (unsigned id) const
const IWORKStylePtr_t | queryGraphicStyle (unsigned id) const
const IWORKStylePtr_t | queryMediaStyle (unsigned id) const
const IWORKStylePtr_t | queryCellStyle (unsigned id) const
const IWORKStylePtr_t | queryTableStyle (unsigned id) const
const IWORKStylePtr_t | queryListStyle (unsigned id) const
const IWORKStylePtr_t | queryStyle (unsigned id, StyleMap_t &styleMap, StyleParseFun_t parse) const
boost::optional< unsigned > | getObjectType (unsigned id) const
Static Protected Member Functions inherited from libetonyek::IWAParser
static boost::optional< unsigned > | readRef (const IWAMessage &msg, unsigned field)
static std::deque< unsigned > | readRefs (const IWAMessage &msg, unsigned field)
static boost::optional< IWORKPosition > | readPosition (const IWAMessage &msg, unsigned field)
static boost::optional< IWORKSize > | readSize (const IWAMessage &msg, unsigned field)
static boost::optional< IWORKColor > | readColor (const IWAMessage &msg, unsigned field)
static boost::optional< std::string > | readUUID (const IWAMessage &msg, unsigned field)
static boost::optional< uint64_t > | readUID (const IWAMessage &msg, unsigned field)
static std::deque< uint64_t > | readUIDs (const IWAMessage &msg, unsigned field)
static void | readStroke (const IWAMessage &msg, IWORKStroke &stroke)
static void | readGradient (const IWAMessage &msg, IWORKGradient &gradient)
static void | readShadow (const IWAMessage &msg, IWORKShadow &shadow)
static void | readPadding (const IWAMessage &msg, IWORKPadding &padding)
static void | readDropCap (const IWAMessage &msg, IWORKDropCap &cap)
Protected Attributes inherited from libetonyek::IWAParser
IWORKFormatNameMap | m_formatNameMap
IWORKLanguageManager | m_langManager
IWORKTableNameMapPtr_t | m_tableNameMap
std::shared_ptr< IWORKText > | m_currentText

## Constructor & Destructor Documentation

## ◆ PAG5Parser()

libetonyek::PAG5Parser::PAG5Parser | ( | const RVNGInputStreamPtr_t & | fragments,
|  | const RVNGInputStreamPtr_t & | package,
|  | PAGCollector & | collector )

## Member Function Documentation

## ◆ dispatchShape()

bool libetonyek::PAG5Parser::dispatchShape | ( | unsigned | id | ) |
| private

Referenced by parseGroupRef().

## ◆ parseDocument()

bool libetonyek::PAG5Parser::parseDocument | ( |  | ) |
| override private virtual

Implements libetonyek::IWAParser.

## ◆ parseDocumentSettingsRef()

bool libetonyek::PAG5Parser::parseDocumentSettingsRef | ( | unsigned | id | ) |
| private

Referenced by parseDocument().

## ◆ parseGroupRef()

bool libetonyek::PAG5Parser::parseGroupRef | ( | unsigned | id | ) |
| private

Referenced by parseDocument().

## Member Data Documentation

## ◆ m_collector

PAGCollector& libetonyek::PAG5Parser::m_collector
| private

Referenced by dispatchShape(), PAG5Parser(), parseDocument(), parseDocumentSettingsRef(), and parseGroupRef().

The documentation for this class was generated from the following files:

- PAG5Parser.h
- PAG5Parser.cpp